{
  "debug": {{ 'true' if docker_enable_debug else 'false' }},
{% if docker_host_dns %}
  "dns": [{% if docker_host_docker_gwbridge_ip_register is not failed %}"{{ docker_host_docker_gwbridge_ip_register.stdout }}" ,{% endif %}{% if docker_host_docker0_ip_register is not failed %}"{{  docker_host_docker0_ip_register.stdout }}" ,{% endif %}"127.0.0.1"],
{% else %}
  "dns": [{{ docker_dns| map('to_json') | join(', ') }}],
{% endif %}
  "ipv6": {{ 'true' if docker_enable_ipv6 else 'false' }},
{% if docker_enable_ipv6 %}
  "fixed-cidr-v6": "{{ docker_fixed_cidr_ipv6 }}",
{% endif %}
  "log-driver": "{{ docker_log_backend }}",
  "hosts": ["tcp://0.0.0.0:2376", "unix:///var/run/docker.sock", "fd://"],
  "tlsverify": true,
  "data-root": "{{ docker_data_root }}",
  "tlscacert": "{{ docker_swarm_certificates_directory }}/{{ docker_swarm_root_CA_certificate_name }}",
  "tlscert": "{{ docker_swarm_certificates_directory }}/{{ docker_swarm_node_certificate_name }}.crt",
  "tlskey": "{{ docker_swarm_certificates_directory }}/{{ docker_swarm_node_certificate_name }}.key"
}